Bug 117835 - [CSS Regions] Move overset compute code from flow thread to named flow thread
Summary: [CSS Regions] Move overset compute code from flow thread to named flow thread
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Radu Stavila
URL:
Keywords:
Depends on:
Blocks: 57312
  Show dependency treegraph
 
Reported: 2013-06-20 07:03 PDT by Radu Stavila
Modified: 2013-07-02 00:56 PDT (History)
5 users (show)

See Also:


Attachments
Patch (12.50 KB, patch)
2013-06-21 08:33 PDT, Radu Stavila
kling: review+
stavila: commit-queue?
Details | Formatted Diff | Diff
Patch (included changes requested by Kling) (13.30 KB, patch)
2013-06-21 09:11 PDT, Radu Stavila
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Radu Stavila 2013-06-20 07:03:22 PDT
[CSS Regions] Move overset compute code from flow thread to named flow thread
Comment 1 Radu Stavila 2013-06-21 08:33:20 PDT
Created attachment 205187 [details]
Patch
Comment 2 Andreas Kling 2013-06-21 08:52:13 PDT
Comment on attachment 205187 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=205187&action=review

r=me with a suggestion:

> Source/WebCore/rendering/RenderRegion.cpp:136
> +    ASSERT(node() && node()->isElementNode());

Maybe we could add an element() helper, to avoid having to check/cast all the time.

> Source/WebCore/rendering/RenderRegion.cpp:146
> +    ASSERT(node() && node()->isElementNode());

etc.
Comment 3 Radu Stavila 2013-06-21 09:11:37 PDT
Created attachment 205190 [details]
Patch (included changes requested by Kling)
Comment 4 WebKit Commit Bot 2013-06-21 10:43:18 PDT
Comment on attachment 205190 [details]
Patch (included changes requested by Kling)

Clearing flags on attachment: 205190

Committed r151843: <http://trac.webkit.org/changeset/151843>